Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.ax25
Class StationTracker.DestinationStatistics

    java.lang.Object
      org.ka2ddo.yaac.ax25.StationTracker.AddressStatistics<java.lang.String,StationTracker.DestinationStatistics>
          org.ka2ddo.yaac.ax25.StationTracker.DestinationStatistics

Enclosing class:
  StationTracker

    public static class StationTracker.DestinationStatistics

extends StationTracker.AddressStatistics<java.lang.String,StationTracker.DestinationStatistics>

Usage statistics for a particular tocall (destination) callsign in AX.25 traffic.

Field Summary

Fields inherited from class org.ka2ddo.yaac.ax25.StationTracker.AddressStatistics
`enabled, numUsed, rowIndex`

Constructor Summary
`StationTracker.DestinationStatistics(java.lang.String dest)` Create a new DestinationStatistics counter object.

Method Summary
`void` | `addStationReference(java.lang.String stationCallsign)` Add a reference to a station.
`java.lang.String` | `getKey()` Get the identifier for the statistics.
`int` | `getStationCount()` Get the number of stations using this tocall.

Methods inherited from class org.ka2ddo.yaac.ax25.StationTracker.AddressStatistics
`getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StationTracker.DestinationStatistics

    public StationTracker.DestinationStatistics(java.lang.String dest)

  Create a new DestinationStatistics counter object.

  Parameters:
    `dest` - String callsign or tocall for these statistics

Method Detail

### getKey

    public java.lang.String getKey()

  Get the identifier for the statistics.

  Specified by:
    `getKey` in class `StationTracker.AddressStatistics<java.lang.String,StationTracker.DestinationStatistics>`
  Returns:
    statistics identifier

### addStationReference

    public void addStationReference(java.lang.String stationCallsign)

  Add a reference to a station.

  Parameters:
    `stationCallsign` - String callsign-SSID of the sending station

### getStationCount

    public int getStationCount()

  Get the number of stations using this tocall.

  Returns:
    number of using stations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD